## org.exist.xquery
Class AncestorSelector

    java.lang.Object
      org.exist.xquery.AncestorSelector

All Implemented Interfaces:
  NodeSelector

public class AncestorSelector
extends java.lang.Object
implements NodeSelector

Constructor Summary
`AncestorSelector(NodeSet descendants, int contextId, boolean includeSelf)`

Method Summary
`NodeProxy` `match(DocumentImpl doc, NodeId nodeId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AncestorSelector

    public AncestorSelector(NodeSet descendants,
                            int contextId,
                            boolean includeSelf)

Method Detail

### match

    public NodeProxy match(DocumentImpl doc,
                           NodeId nodeId)

  Specified by:
    `match` in interface `NodeSelector`

Copyright (C) Wolfgang Meier. All rights reserved.